//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
#include "spImageContainer.h"
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include "hyiedefs.hpp"
#include "hyieutils.hpp"
#include "ieopensavedlg.hpp"
#include "iesettings.hpp"
#include "ievect.hpp"
#include "ieview.hpp"
#include "iexBitmaps.hpp"
#include "imageenview.hpp"
#include <Vcl.ExtCtrls.hpp>
#include "cspin.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel1;
	TImageEnVect *PaintView;
	TOpenImageEnDialog *openDialog;
	TButton *btnLoad;
	TLabel *Label1;
	TButton *btnTesselate;
	TCheckBox *chkEdges;
	TRadioGroup *rgpTesselation;
	TCSpinEdit *edThickness;
	TCSpinEdit *edSites;
	TLabel *Label2;
	TCheckBox *chkFancy;
	TLabel *Label3;
	TCSpinEdit *edIterations;
	TLabel *Label4;
	TCSpinEdit *edError;
	TLabel *Label5;
	TRadioGroup *rgpEdgeColor;
	void __fastcall btnLoadClick(TObject *Sender);
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall btnTesselateClick(TObject *Sender);
private:	// User declarations
	TImageContainer *imageContainer;
	void __fastcall tesselate(std::vector<TPoint> &points, bool delaunay, bool edge, bool vertexColor);
	void __fastcall createSites(std::vector<TPoint> &inPts, int ptsNum, bool delaunay = false);
	void __fastcall clearContainer(void);
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
