//Copyright (C) 2016 Sinia Petri
#ifndef SP_BYTE_LOGICH
#define SP_BYTE_LOGICH
typedef Byte (*TByteLogic)(Byte &, Byte &);
//---------------------------------------------------------------------------
// Byte logic functions
//---------------------------------------------------------------------------
Byte Byte_AND(Byte &left, Byte &right) {return left & right;}
//---------------------------------------------------------------------------
Byte Byte_OR(Byte &left, Byte &right) {return left | right;}
//---------------------------------------------------------------------------
Byte Byte_XOR(Byte &left, Byte &right) {return left ^ right;}
//---------------------------------------------------------------------------
Byte Byte_NAND(Byte &left, Byte &right) {return (left & right) ^ 0xff;}
//---------------------------------------------------------------------------
Byte Byte_NOR(Byte &left, Byte &right) {return (left | right) ^ 0xff;}
//---------------------------------------------------------------------------
Byte Byte_NXOR(Byte &left, Byte &right) {return (left ^ right) ^ 0xff;}
//---------------------------------------------------------------------------
const TByteLogic bLogic[6] = {Byte_AND, Byte_OR, Byte_XOR, Byte_NAND, Byte_NOR, Byte_NXOR};
#endif

