//---------------------------------------------------------------------------
#ifndef spImageContainerH
#define spImageContainerH
#include <vector>
#include <Types.hpp>
#include "spImage.hpp"
#include "spPixelTypes.hpp"
//---------------------------------------------------------------------------
class TImageContainer
{
private:
   int undoBufferPosition;
   unsigned int undoBufferGroupIndex;
protected:
public:
   TImageContainer();
   TImageContainer(Byte **scanLine, Byte **alphaLine, int width, int height);
   virtual ~TImageContainer(void);
   //
   SetImage(Byte **scanLine, Byte **alphaLine, int width, int height);
   //
   spImage<ptRGB> *ImageOrig, *ImageEdit;
   spImage<ptGray> *ImageMaskLeft;
   int lastError;
   //
};
//---------------------------------------------------------------------------
#endif
